:root {
    --nb-cart-box-10-cart-item-name-font-size: 16px;
    --nb-cart-box-10-cart-item-name-font-weight: 400;
    --nb-cart-box-10-cart-item-name-color: var(--nb-text-color-primary);
    --nb-cart-box-10-cart-item-name-line-height: 20px;

    --nb-cart-box-10-cart-small-font-size: 11px;
    --nb-cart-box-10-cart-small-color: var(--nb-text-color-secondary);

    --nb-cart-box-10-active-price-color: var(--nb-color-red);
    --nb-cart-box-10-active-price-font-size: 16px;
    --nb-cart-box-10-active-price-font-weight: var(--nb-font-bold);

    --nb-cart-box-10-old-price-color: var(--nb-color-gray);
    --nb-cart-box-10-old-price-font-size: 14px;
    --nb-cart-box-10-old-price-font-weight: var(--nb-font-regular);

    --nb-cart-box-10-quantity-border-radius: 4px;
}

.nb-cart-box-10 {
    display: flex;
    flex-direction: column;
    gap: 10px;
    position: relative;
    --nb-dt-rows: auto;
}

.nb-cart-box-10 .nb-text-wrapper{
    display: flex;
    gap: 10px;
}
.nb-cart-box-10 .nb-text-wrapper .nb-content-wrapper > * + *{
    margin-top: 5px;
}

.nb-cart-box-10 .nb-content-wrapper.nb-prices-wrapper{
    flex: 1.5;
}
.nb-cart-box-10 .nb-content-wrapper.nb-quantity-price-wrapper{
    flex: 1;
}

.nb-cart-box-10 .nb-img {
    max-width: 150px;
    flex-shrink: 0;
    aspect-ratio: 1;
    object-fit: cover;
}

.nb-cart-box-10 .nb-text-wrapper {
    flex-grow: 1;

    &>.nb-content-wrapper{
        display: flex;
        flex-direction: column;
        justify-content: space-between;
    }
}

.nb-cart-box-10 .nb-cart-item-name {
    max-width: calc(100% - 40px);
}

.nb-cart-box-10 .nb-title {
    font-size: var(--nb-cart-box-10-cart-item-name-font-size);
    font-weight: var(--nb-cart-box-10-cart-item-name-font-weight);
    color: var(--nb-cart-box-10-cart-item-name-color);
}


.nb-cart-box-10 .nb-delete {
    position: absolute;
    right: 0;
    top: 20px;
    cursor: pointer;
}
.nb-cart-box-10:first-child .nb-delete{
    top: 0;
}

.nb-cart-box-10 .nb-delete .nb-icon{
    font-size: 18px;
    line-height: 1;
    display: inline-block;
}

.nb-cart-box-10 .nb-selected-size{
    font-size: var(--nb-cart-box-10-cart-small-font-size);
    color: var(--nb-cart-box-10-cart-small-color);
}

.nb-cart-box-10{
    .nb-price.nb-price-active{
        font-size: var(--nb-cart-box-10-active-price-font-size);
        color: var(--nb-cart-box-10-active-price-color);
        font-weight: var(--nb-cart-box-10-active-price-font-weight);
    }
    .nb-price.nb-price-prev{
        font-size: var(--nb-cart-box-10-old-price-font-size);
        color: var(--nb-cart-box-10-old-price-color);
        font-weight: var(--nb-cart-box-10-old-price-font-weight);
    }
    .nb-quantity-cart-2{
        .nb-quantity-arrows:first-of-type {
            border-bottom-left-radius: var(--nb-cart-box-10-quantity-border-radius);
            border-top-left-radius: var(--nb-cart-box-10-quantity-border-radius);
        }
        .nb-quantity-arrows:last-of-type {
            border-top-right-radius: var(--nb-cart-box-10-quantity-border-radius);
            border-bottom-right-radius: var(--nb-cart-box-10-quantity-border-radius);
        }
        .nb-quantity-arrows{
            width: 30px;
            height: 39px;
            background-color: var(--nb-color-white);
        }
        .nb-quantity-input .nb-input{
            width: 30px;
            height: 36px;
            padding-inline: 2px;
        }
        .nb-quantity-wrapper{
            border-radius: var(--nb-cart-box-10-quantity-border-radius);
        }
    }
    .nb-cart-item-price-2{
        display: flex;
        align-items: center;
        gap: 0 15px;
        flex-wrap: wrap;
        > *{
            position: relative;
        }
        > .nb-price-prev:before{
            content: '/';
            position: absolute;
            left: -10px;
        }
        > .nb-price-prev + .nb-price-prev:before{
            display: none;
        }
    }
}

@media screen and (max-width: 576px) {
    :root {
        --nb-cart-box-10-cart-item-name-font-size: 14px;
        --nb-cart-box-10-cart-item-name-line-height: 18px;
        --nb-cart-box-10-active-price-font-size: 14px;
        --nb-cart-box-10-old-price-font-size: 12px;
    }

    .nb-cart-box-10 .nb-img{
        max-width: 120px;
    }

    .nb-cart-box-10 .nb-cart-item-name.nb-cart-item-name-m,
    .nb-cart-box-10 .nb-cart-item-name.nb-cart-item-name-m .nb-title{
        font-size: 14px;
    }

    .nb-cart-box-10 .nb-cart-item-price-2{
        flex-direction: column;
        align-items: flex-start;
    }

    .nb-cart-box-10 .nb-cart-item-price-2 .nb-price-prev:before{
        display: none;
    }
    .nb-cart-box-10 .nb-quantity-cart-2{
        margin-top: 10px !important;
    }
}